viadam.runge.kutta <- 
# One step of the fourth-order Runge-Kutta integration
# algorithm for a first order system of differential equations.
function(x,dx,y,f)
{
        w1 <- dx*eval(expression(f(x,y)))
        w2 <- dx*eval(expression(f(x+dx/2,y+w1/2)))
        w3 <- dx*eval(expression(f(x+dx/2,y+w2/2)))
        w4 <- dx*eval(expression(f(x+dx,y+w3)))
        y + (w1 + 2*w2 + 2*w3 + w4)/6
}
